/* Functionality for revealing the modal */
function showModal(){
    //Step 1: Select the Discount Modal element
    let discountModal = document.querySelector("#surprise-discount-modal");

    //Step 2: Change the display property of the element to "block"
    discountModal.style.display = "block";
}

//Step 1: Select the "Unlock your surprise" button
let showModalButton = document.querySelector(".show-modal-btn");

//Step 2: Attach the event listerner to it 
showModalButton.addEventListener("click", showModal);


/* Functionality for hiding the modal */
function hideModal(){
    //Step 1: Select the Discount Modal element
    let discountModal = document.querySelector("#surprise-discount-modal");

    //Step 2: Change the display property of the element to "none"
    discountModal.style.display = "none";
}

//Step 1: Select the "close" button
let hideModalButton = document.querySelector(".hide-modal-btn");

//Step 2: Attach the event listerner to it
hideModalButton.addEventListener("click", hideModal);